Forum: PC Hard- und Software apt-get install npm will plesk löschen - Virus?


Announcement: there is an English version of this forum on EmbDev.net. Posts you create there will be displayed on Mikrocontroller.net and EmbDev.net.
von Server (Gast)


Bewertung
-1 lesenswert
nicht lesenswert
Ich habe folgenden simplen Befehl eingegeben
apt-get install npm

und bekomme dafür folgendes zurück

Die folgenden zusätzlichen Pakete werden installiert:
  gyp libc-ares-dev libc-ares2 libjs-node-uuid libv8-3.14-dev 
libv8-3.14.5
  node-abbrev node-ansi node-archy node-async node-block-stream
  node-combined-stream node-cookie-jar node-delayed-stream 
node-forever-agent
  node-form-data node-fstream node-fstream-ignore 
node-github-url-from-git
  node-glob node-graceful-fs node-gyp node-inherits node-ini
  node-json-stringify-safe node-lockfile node-lru-cache node-mime
  node-minimatch node-mkdirp node-mute-stream node-node-uuid node-nopt
  node-normalize-package-data node-npmlog node-once node-osenv node-qs
  node-read node-read-package-json node-request node-retry node-rimraf
  node-semver node-sha node-sigmund node-slide node-tar 
node-tunnel-agent
  node-which nodejs nodejs-dev
Vorgeschlagene Pakete:
  node-hawk node-aws-sign node-oauth-sign node-http-signature
Empfohlene Pakete:
  javascript-common
Die folgenden Pakete werden ENTFERNT:
  plesk-completion plesk-core plesk-l10n plesk-mail-pc-driver
  plesk-management-node plesk-service-node-utilities plesk-web-hosting
  plesk-wp-upgrade pp-sitebuilder psa-firewall psa-locale-base-en-us
  psa-mail-driver-common psa-phpfpm-configurator psa-phpmyadmin 
psa-phppgadmin
  psa-spamassassin psa-updates psa-vhost psa-vpn psa-zendframework 
wpb-core
  wpb-headers

Was hat die Installation von npm mit der Entfernung von plesk und der 
firewall - die ich beide benutze - zu tun?

von c.m. (Gast)


Bewertung
0 lesenswert
nicht lesenswert
google schon wieder down?
http://%6Cmgtfy.com/?q=npm+plesk

virus! Virus!! VIIIIRUS!!!!! ja ne is klar.

Beitrag #5117681 wurde von einem Moderator gelöscht.
von Daniel A. (daniel-a)


Bewertung
1 lesenswert
nicht lesenswert
Das ist kein Virus, offenbar hat das Packet npm Abhängigkeiten zu 
Packeten, zu welchem auch plesk Abhängigkeiten hat, aber für dieses zu 
alt sind, oder es hat Abhängigkeiten, dass mit einem Packet das Plesk 
braucht inkompatibel ist. Als folge können dann npn oder plesk, aber 
nicht beide installiert werden.

Poste mal den Inhalt von /etc/apt/sources.list und 
/etc/apt/sources.list.d/*, damit klar wird was für ein System das 
überhaupt ist.

Versuche mal "apt-get install npm plesk-core", dies solte apt dazu 
bringen dir mitzuteilen, welche Dependencies der beiden inkompatibel 
sind.

Versuche ausserdem noch, statt npm nodejs vom offiziellen nodejs repo zu 
Installieren: 
https://nodejs.org/en/download/package-manager/#debian-and-ubuntu-based-linux-distributions
Dieses nodejs Packet sollte eine neuere Version von npm beinhalten, das 
npm und nodejs packet der meisten Distributionen ist veraltet.

Antwort schreiben

Die Angabe einer E-Mail-Adresse ist freiwillig. Wenn Sie automatisch per E-Mail über Antworten auf Ihren Beitrag informiert werden möchten, melden Sie sich bitte an.

Wichtige Regeln - erst lesen, dann posten!

  • Groß- und Kleinschreibung verwenden
  • Längeren Sourcecode nicht im Text einfügen, sondern als Dateianhang

Formatierung (mehr Informationen...)

  • [c]C-Code[/c]
  • [code]Code in anderen Sprachen, ASCII-Zeichnungen[/code]
  • [math]Formel in LaTeX-Syntax[/math]
  • [[Titel]] - Link zu Artikel
  • Verweis auf anderen Beitrag einfügen: Rechtsklick auf Beitragstitel,
    "Adresse kopieren", und in den Text einfügen




Bild automatisch verkleinern, falls nötig
Bitte das JPG-Format nur für Fotos und Scans verwenden!
Zeichnungen und Screenshots im PNG- oder
GIF-Format hochladen. Siehe Bildformate.
Hinweis: der ursprüngliche Beitrag ist mehr als 6 Monate alt.
Bitte hier nur auf die ursprüngliche Frage antworten,
für neue Fragen einen neuen Beitrag erstellen.

Mit dem Abschicken bestätigst du, die Nutzungsbedingungen anzuerkennen.